Passer au contenu
AchaduDevelopers
API opérationnelleAller sur le site Web
Tableau de bord
Developers/API/journey_create
Voyages

Créer un voyage

Crée une automatisation visuelle initialement sûre.

POST/journeysjourneys:write

Demande

namestring · bodyNom du voyage.obligatoire
descriptionstring · bodyObjectif du voyage.facultatif
triggerstring · bodyDéclencheur initial.obligatoire
blocksarray · bodyBlocs de flux.facultatif
channelsarray · bodyChaînes autorisées.facultatif
segment_idstring · bodySegment éligible.facultatif
activeboolean · bodyActivez le voyage.facultatif

Exemple

curl
curl -X POST 'https://achadu.com/api/v1/journeys' \
+  -H 'Authorization: Bearer ach_live_...' \
+  -H 'Accept: application/json' \
+  -H 'Content-Type: application/json' \
+  --data '{
  "name": "My integration",
  "trigger": "string",
  "description": "string",
  "blocks": [],
  "channels": [
    "instagram"
  ]
}'

Réponse

201Ressource créée
4xxErreur avec le code, le message et request_id